=== src/linux-headers-3.0.62-odroidu2/drivers/media/video/samsung/tsi/Makefile ===
#
# Makefile for the tsi device drivers.
#
obj-$(CONFIG_VIDEO_TSI)	+= s3c-tsi.o
